# $Revision: 1.17 $, $Date: 2012/03/20 16:46:49 $
%include	/usr/lib/rpm/macros.mono
Summary:	Mono.Addins - framework for creating extensible applications and libraries
Summary(pl.UTF-8):	Mono.Addins - framework do tworzenia elastycznych aplikacji i bibliotek
Name:		mono-addins
Version:	0.6.2
Release:	2
License:	MIT
Group:		Development/Tools
# latest downloads summary at http://download.mono-project.com/sources-stable/
Source0:	http://download.mono-project.com/sources/mono-addins/%{name}-%{version}.tar.bz2
# Source0-md5:	afbbe5e9fdf9b03911bc8e6b94feb60b
Patch0:		%{name}-monodir.patch
Patch1:		%{name}-automake.patch
URL:		http://www.mono-project.com/Mono.Addins
BuildRequires:	autoconf >= 2.54
BuildRequires:	automake >= 1:1.7
BuildRequires:	dotnet-gtk-sharp2-devel >= 2.9.0
BuildRequires:	mono-csharp >= 1.1.13
# for --enable-docs, which fails
#BuildRequires:	mono-monodoc
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mono.Addins has been designed to be easy to use and useful for a wide
range of applications: from simple applications with small
extensibility needs, to complex applications which need support for
large add-in structures. This new framework intends to set an standard
for building extensible applications and add-ins in Mono.

%description -l pl.UTF-8
Mono.Addins zostało zaprojektowane jako proste i użyteczne narzędzie
dla różnych aplikacji: od prostych, z niewielkimi potrzebami
rozszerzalności, po złożone, wymagające wsparcia dla dużych struktur
dodatków. Ten nowy framework w zamiarach ma wyznaczać standard przy
budowaniu elastycznych aplikacji i dodatków w Mono.

%package devel
Summary:	Mono.Addins development files
Summary(pl.UTF-8):	Pliki programistyczne Mono.Addins
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Mono.Addins development files.

%description devel -l pl.UTF-8
Pliki programistyczne Mono.Addins.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__aclocal}
%{__automake}
%{__autoconf}
%configure
%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/mautil
%dir %{_prefix}/lib/mono/mono-addins
%{_prefix}/lib/mono/mono-addins/mautil.exe
%{_prefix}/lib/mono/gac/Mono.Addins
%{_prefix}/lib/mono/gac/Mono.Addins.CecilReflector
%{_prefix}/lib/mono/gac/Mono.Addins.Gui
%{_prefix}/lib/mono/gac/Mono.Addins.MSBuild
%{_prefix}/lib/mono/gac/Mono.Addins.Setup
%{_prefix}/lib/mono/gac/policy.0.2.Mono.Addins
%{_prefix}/lib/mono/gac/policy.0.2.Mono.Addins.CecilReflector
%{_prefix}/lib/mono/gac/policy.0.2.Mono.Addins.Gui
%{_prefix}/lib/mono/gac/policy.0.2.Mono.Addins.MSBuild
%{_prefix}/lib/mono/gac/policy.0.2.Mono.Addins.Setup
%{_prefix}/lib/mono/gac/policy.0.3.Mono.Addins
%{_prefix}/lib/mono/gac/policy.0.3.Mono.Addins.CecilReflector
%{_prefix}/lib/mono/gac/policy.0.3.Mono.Addins.Gui
%{_prefix}/lib/mono/gac/policy.0.3.Mono.Addins.MSBuild
%{_prefix}/lib/mono/gac/policy.0.3.Mono.Addins.Setup
%{_prefix}/lib/mono/gac/policy.0.4.Mono.Addins
%{_prefix}/lib/mono/gac/policy.0.4.Mono.Addins.CecilReflector
%{_prefix}/lib/mono/gac/policy.0.4.Mono.Addins.Gui
%{_prefix}/lib/mono/gac/policy.0.4.Mono.Addins.MSBuild
%{_prefix}/lib/mono/gac/policy.0.4.Mono.Addins.Setup
%{_prefix}/lib/mono/gac/policy.0.5.Mono.Addins
%{_prefix}/lib/mono/gac/policy.0.5.Mono.Addins.CecilReflector
%{_prefix}/lib/mono/gac/policy.0.5.Mono.Addins.Gui
%{_prefix}/lib/mono/gac/policy.0.5.Mono.Addins.MSBuild
%{_prefix}/lib/mono/gac/policy.0.5.Mono.Addins.Setup
%{_mandir}/man1/mautil.1*

%files devel
%defattr(644,root,root,755)
%{_prefix}/lib/mono/mono-addins/Mono.Addins.dll
%{_prefix}/lib/mono/mono-addins/Mono.Addins.CecilReflector.dll
%{_prefix}/lib/mono/mono-addins/Mono.Addins.Gui.dll
%{_prefix}/lib/mono/mono-addins/Mono.Addins.MSBuild.dll
%{_prefix}/lib/mono/mono-addins/Mono.Addins.Setup.dll
%{_prefix}/lib/mono/xbuild/Mono.Addins.targets
%{_pkgconfigdir}/mono-addins.pc
%{_pkgconfigdir}/mono-addins-gui.pc
%{_pkgconfigdir}/mono-addins-msbuild.pc
%{_pkgconfigdir}/mono-addins-setup.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mono-addins.spec,v $
Revision 1.17  2012/03/20 16:46:49  megabajt
- fixed build with automake 1.11.2
- release 2

Revision 1.16  2011/11/27 09:23:20  qboosh
- new Source URL; updated to 0.6.2

Revision 1.15  2011/04/21 17:10:07  qboosh
- updated to 0.6.1

Revision 1.14  2011/03/05 19:15:14  qboosh
- updated to 0.6
- removed obsolete pkglibdir patch

Revision 1.13  2010/10/22 22:45:42  megabajt
- added -monodir.patch (fixes build on x86_64)
- release 2

Revision 1.12  2010/09/26 17:51:20  qboosh
- updated to 0.5
- updated pkglibdir patch

Revision 1.11  2009/06/08 19:13:02  megabajt
- drop -pkglibdir64.patch (breaks paths in pkgconfig files)
- Th uses %{_prefix}/lib on x86_64 as well
- release 3

Revision 1.10  2009/05/16 19:41:10  hawk
- added -pkglibdir64.patch for x86_64
- there is no /usr/lib64/mono in Titanium, switch back to /usr/lib on x86_64

Revision 1.9  2009/03/26 10:01:49  vip
- up to 0.4
- force make -j1 (build failed on -j4)

Revision 1.8  2008/09/13 20:30:30  patrys
- rel 3

Revision 1.7  2008/06/19 15:18:26  qboosh
- Source0 URL

Revision 1.6  2008/05/20 21:28:33  megabajt
- added -pkglibdir.patch
- release 2

Revision 1.5  2008-03-14 20:11:28  wolf
- 0.3.1

Revision 1.4  2008-02-25 21:44:48  qboosh
- proper base/-devel split

Revision 1.3  2007-12-19 17:20:05  vip
- proper md5

Revision 1.2  2007-12-19 17:07:40  vip
- add pl desc

Revision 1.1  2007-12-19 16:52:05  vip
- new
